# proxy

Section: Universal proxy server (8)
Updated: July 2009
Index Return to Main Contents

## NAME

proxy - HTTP proxy gateway service

## SYNOPSIS

proxy [-d][-a] [-l[[@]logfile]] [-p port] [-i internal_ip] [-e external_ip]

## DESCRIPTION

proxy is HTTP gateway service with HTTPS and FTP over HTTPS support.

## OPTIONS

-I
  Inetd mode. Standalone service only.
-d
  Daemonise. Detach service from console and run in the background.
-t
  Be silenT. Do not log start/stop/accept error records.
-u
  Never ask for username authentication
-e
  External address. IP address of interface proxy should initiate connections from. By default system will deside which address to use in accordance with routing table.
-i
  Internal address. IP address proxy accepts connections to. By default connection to any interface is accepted. It's usually unsafe.
-a
  Anonymous. Hide information about client.
-a1
  Anonymous. Show fake information about client.
-p
  Port. Port proxy listens for incoming connections. Default is 3128.
-l
  Log. By default logging is to stdout. If logfile is specified logging is to file. Under Unix, if '@' preceeds logfile, syslog is used for logging.

## CLIENTS

You should use client with HTTP proxy support or configure router to redirect HTTP traffic to proxy (transparent proxy). Configure client to connect to internal_ip and port. HTTPS support allows to use almost any TCP based protocol. If you need to limit clients, use 3proxy(8) instead.

## BUGS

Report all bugs to 3proxy@security.nnov.ru

## SEE ALSO

3proxy(8), ftppr(8), socks(8), pop3p(8), tcppm(8), udppm(8), syslogd(8),
http://3proxy.ru/

## AUTHORS

3proxy is designed by 3APA3A (3APA3A@security.nnov.ru), Vladimir Dubrovin (vlad@sandy.ru)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
CLIENTS
BUGS
SEE ALSO
AUTHORS

This document was created by using the manual pages.
Time: 11:38:07 GMT, December 11, 2009